summaryrefslogtreecommitdiff
path: root/debian/make-new-tarball.sh
diff options
context:
space:
mode:
Diffstat (limited to 'debian/make-new-tarball.sh')
-rwxr-xr-xdebian/make-new-tarball.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/debian/make-new-tarball.sh b/debian/make-new-tarball.sh
new file mode 100755
index 00000000..5af64b97
--- /dev/null
+++ b/debian/make-new-tarball.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+if [ -z $1 ]; then
+ echo "Please provide the directory to tar up as an argument"
+ exit 1
+fi
+
+BASENAME=$(basename $1)
+DIRNAME=$(dirname $1)
+
+tar -czvf hurd.tgz \
+ --exclude=.git --exclude=.gitignore --exclude=debian \
+ -C $DIRNAME $BASENAME
+